#include<iostream>
#include<string>
#include<sstream>

using namespace std;

class complex {
    double re, im;
    public:
        complex(double r, double i=0) { re=r; im=i; }

        friend complex operator+(complex, complex);
        friend complex operator-(complex, complex);
          
        string IntToStr(double i) {
            stringstream ss;
            ss << i;
            return ss.str();
        }
          
        string toString() {
            string str = "(" + IntToStr(re) + ", " + IntToStr(im) + ")";
            return str;
        }
};

inline complex operator+(complex a, complex b){
    return complex(a.re+b.re, a.im+b.im);
}

inline complex operator-(complex a, complex b){
    return complex(a.re-b.re, a.im-b.im);
}

int main() {  
    complex a(2,5), b(7, 8), c(0, 0);
    c = a + b;   cout << c.toString() << endl << endl;
    c = 4.1 + a; cout << c.toString() << endl << endl;
    c = b + 5.6; cout << c.toString() << endl << endl;
    
        
// 
    cout << endl; system("PAUSE");
    return 0;  
} 
